summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIonen Wolkens <sudinave@gmail.com>2021-04-17 16:44:13 +0200
committerDavid Seifert <soap@gentoo.org>2021-04-17 16:44:13 +0200
commit24573b0a4f74201e83a85599748c9948799f0a32 (patch)
tree8350cb6d7dcb0b4bc0151eeff09777dc7982ea41 /gui-libs/egl-wayland
parentx11-drivers/nvidia-drivers: remove egl-wayland support for 390.141 (diff)
downloadgentoo-24573b0a4f74201e83a85599748c9948799f0a32.tar.gz
gentoo-24573b0a4f74201e83a85599748c9948799f0a32.tar.bz2
gentoo-24573b0a4f74201e83a85599748c9948799f0a32.zip
gui-libs/egl-wayland: add compatibility info to postinst messages
Signed-off-by: Ionen Wolkens <sudinave@gmail.com> Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'gui-libs/egl-wayland')
-rw-r--r--gui-libs/egl-wayland/egl-wayland-1.1.6.ebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/gui-libs/egl-wayland/egl-wayland-1.1.6.ebuild b/gui-libs/egl-wayland/egl-wayland-1.1.6.ebuild
index 931329d094c..5592ca6a5cd 100644
--- a/gui-libs/egl-wayland/egl-wayland-1.1.6.ebuild
+++ b/gui-libs/egl-wayland/egl-wayland-1.1.6.ebuild
@@ -48,5 +48,13 @@ pkg_postinst() {
elog "Can be accomplished by:"
elog " echo 'options nvidia-drm modeset=1' > ${EROOT}/etc/modprobe.d/nvidia-drm.conf"
elog "...then reloading the module."
+ elog
+ elog "Note that EGLStream requires support from the wayland compositor and"
+ elog "is not currently supported by many popular options such as gui-wm/sway."
+ fi
+
+ if has_version "<x11-drivers/nvidia-drivers-391"; then
+ ewarn "<=nvidia-drivers-390.xx may not work properly with this version of"
+ ewarn "egl-wayland, it is recommended to use nouveau drivers for wayland."
fi
}